<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>tubafashe-api documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">tubafashe-api documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content miscellaneous-variables">
                   <div class="content-data">














                   

<ol class="breadcrumb">
  <li>Miscellaneous</li>
  <li>Variables</li>
</ol>

<section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <ul class="index-list">
                        <li>
                            <a href="#conf" title="src/common/config-bucket.ts"><b>conf</b>&nbsp;&nbsp;&nbsp;(src/.../config-bucket.ts)</a>
                        </li>
                        <li>
                            <a href="#configBucket" title="src/database/database.providers.ts"><b>configBucket</b>&nbsp;&nbsp;&nbsp;(src/.../database.providers.ts)</a>
                        </li>
                        <li>
                            <a href="#DATABASE_CONNECTION" title="src/common/constant.ts"><b>DATABASE_CONNECTION</b>&nbsp;&nbsp;&nbsp;(src/.../constant.ts)</a>
                        </li>
                        <li>
                            <a href="#databaseProviders" title="src/database/database.providers.ts"><b>databaseProviders</b>&nbsp;&nbsp;&nbsp;(src/.../database.providers.ts)</a>
                        </li>
                        <li>
                            <a href="#envMetadataKey" title="src/common/env-validator.decorator.ts"><b>envMetadataKey</b>&nbsp;&nbsp;&nbsp;(src/.../env-validator.decorator.ts)</a>
                        </li>
                    </ul>
                </td>
            </tr>
        </tbody>
    </table>
</section>

    <h3>src/common/config-bucket.ts</h3>
    <section>
    <h3></h3>        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="conf"></a>
                        <span class="name">
                            <b>
                            conf</b>
                            <a href="#conf"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>validate&lt;ConfigBucket&gt;(ConfigBucket)</code>
                        </td>
                    </tr>


            </tbody>
        </table>
</section>
    <h3>src/database/database.providers.ts</h3>
    <section>
    <h3></h3>        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="configBucket"></a>
                        <span class="name">
                            <b>
                            configBucket</b>
                            <a href="#configBucket"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="../classes/ConfigBucket.html" target="_self" >ConfigBucket</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>validate&lt;ConfigBucket&gt;(ConfigBucket)</code>
                        </td>
                    </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="databaseProviders"></a>
                        <span class="name">
                            <b>
                            databaseProviders</b>
                            <a href="#databaseProviders"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>TypeOrmModule.forRoot({
    type: &#x27;mongodb&#x27;,
    host: configBucket.DATABASE_HOST,
    database: configBucket.DATABASE_NAME,
    username: configBucket.DATABASE_USER,
    password: configBucket.DATABASE_PWD,
    entities: [Campaign, CurrencyRate, Donator, Payment, PaymentType],
    synchronize: true,
  })</code>
                        </td>
                    </tr>


            </tbody>
        </table>
</section>
    <h3>src/common/constant.ts</h3>
    <section>
    <h3></h3>        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="DATABASE_CONNECTION"></a>
                        <span class="name">
                            <b>
                            DATABASE_CONNECTION</b>
                            <a href="#DATABASE_CONNECTION"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>&#x27;DATABASE_CONNECTION&#x27;</code>
                        </td>
                    </tr>


            </tbody>
        </table>
</section>
    <h3>src/common/env-validator.decorator.ts</h3>
    <section>
    <h3></h3>        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="envMetadataKey"></a>
                        <span class="name">
                            <b>
                            envMetadataKey</b>
                            <a href="#envMetadataKey"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>Symbol(&#x27;env&#x27;)</code>
                        </td>
                    </tr>


            </tbody>
        </table>
</section>



                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'miscellaneous-variables';
            var COMPODOC_CURRENT_PAGE_URL = 'variables.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
